Subject: Re: [PATCH] fetch, clone: add fetch.blobSizeLimit config

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Mar 2026 09:58:09 -0800

Patrick Steinhardt <[email-masked]> writes:

> I think using something like "clone.<url>.defaultObjectFilter" would be
> a more sensible design. The idea is that we'd only honor this filter on
> the initial clone to basically be equivalent to `git clone --filter=`. I
> don't think any subsequent fetches should be impacted at all, as turning
> a full clone into a partial clone would need more consideration.

Yup, I like this one.  Should <url> be giving a repository fully, or
be some pattern that groups similar repositories together?  You
would not be wanting to clone exactly the same repository so many
times for a configuration variable to matter in general.